Runner.buttonEvents["Detalle_de_Pagos_Pendientes"] = function( pageObj, proxy, pageid ) {
	//register a new button
	pageObj.buttonNames[ pageObj.buttonNames.length ] = 'Detalle_de_Pagos_Pendientes';
	
	if ( !pageObj.buttonEventBefore['Detalle_de_Pagos_Pendientes'] ) {
		pageObj.buttonEventBefore['Detalle_de_Pagos_Pendientes'] = function( params, ctrl, pageObj, proxy, pageid, rowData, row, submit ) {		
			var ajax = ctrl;

		}
	}
	
	if ( !pageObj.buttonEventAfter['Detalle_de_Pagos_Pendientes'] ) {
		pageObj.buttonEventAfter['Detalle_de_Pagos_Pendientes'] = function( result, ctrl, pageObj, proxy, pageid, rowData, row, params ) {
			var ajax = ctrl;

var popup = Runner.displayPopup( {
 
url:  "http://192.168.1.44:8082/jasperserver/flow.html?_flowId=viewReportFlow&standAlone=true&_flowId=viewReportFlow&ParentFolderUri=%2Freports%2Frosa&reportUnit=%2Freports%2Frosa%2Fpagos_pendientes__gestion&j_username=jasperadmin&j_password=jasperadmin&output=pdf", 

width: 900,
  height: 620,
  header: 'Detalle pago Pendientes'
});


		}
	}
	
	$('a[id="Detalle_de_Pagos_Pendientes"]').each( function() {
		if ( $(this).closest('.gridRowAdd').length ) {
			return;
		}
		
		this.id = "Detalle_de_Pagos_Pendientes" + "_" + Runner.genId();
		
		// create object
		var button_Detalle_de_Pagos_Pendientes = new Runner.form.Button({
			id: this.id ,
			btnName: "Detalle_de_Pagos_Pendientes"
		});
		
		// init
		button_Detalle_de_Pagos_Pendientes.init( {args: [ pageObj, proxy, pageid ]} );
	});
};

